package pps.core.prediction.module;

import cn.hutool.core.util.ObjectUtil;
import pps.core.common.utils.ManifestComponentInfoHelper;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.XModule;

/**
 * 间开制度模块
 *
 * @author ZWT
 * @date 2023/08/29
 */
@XText("光伏预测模块")
public class PpsCorePredictionModule extends XModule {

    protected PpsCorePredictionModule() {
        super(1012);
    }

    @Override
    protected void onStarted(XContext context) {
        if (ObjectUtil.isNotNull(this.getClass()) && ObjectUtil.isNotNull(this.getClass().getClassLoader())) {
            ManifestComponentInfoHelper.init(this.getClass().getClassLoader());
        }
    }
}